# ZCN imgenc makefile section
# (based on imgbuild.mk from ZCN 1.4)

# XXX assumes ZCN stuff is built already, it may break if not.


BASE_A=\
	autoexec.sub \
	$(ZCNDIR)/bin/bigv.com \
	$(ZCNDIR)/bin/bmp.com \
	$(ZCNDIR)/bin/cal.com \
	$(ZCNDIR)/bin/cpmtris.com \
	$(ZCNDIR)/bin/codes.com \
	$(ZCNDIR)/bin/dclock.com \
	$(ZCNDIR)/bin/du.com \
	$(ZCNDIR)/bin/expr.com \
	$(ZCNDIR)/bin/head.com \
	$(ZCNDIR)/bin/keyb.com \
	$(ZCNDIR)/bin/ls.com \
	$(ZCNDIR)/bin/lfconv.com \
	$(ZCNDIR)/bin/man.com \
	$(ZCNDIR)/bin/manpages.dat \
	$(ZCNDIR)/bin/ncspeed.com \
	$(ZCNDIR)/bin/nctest.com \
	$(ZCNDIR)/bin/optdir.com \
	$(ZCNDIR)/bin/ruler.com \
	$(ZCNDIR)/bin/semi.com \
	$(ZCNDIR)/bin/slide.com \
	$(ZCNDIR)/bin/submit.com \
	$(ZCNDIR)/bin/time.com \
	$(ZCNDIR)/bin/zcsoli.com \
	$(ZCNDIR)/bin/zdbe.com \
	$(ZCNDIR)/bin/zselx.com \
	$(ZCNDIR)/support/pipe/pipe.com \
	$(ZCNDIR)/support/ted/ted.com \
	$(ZCNDIR)/support/ted/ted200.com \
	$(ZCNDIR)/support/wade/wade.com


# Things needed for booting, and tools for making images

.SECONDARY: makecimg optdir-c mc512

makecimg: $(ZCNDIR)/utils/makecimg.c
	$(NORMCC) -o makecimg $(ZCNDIR)/utils/makecimg.c

optdir-c: $(ZCNDIR)/utils/optdir-c.c
	$(NORMCC) -o optdir-c $(ZCNDIR)/utils/optdir-c.c

mc512: mc512.c
	$(NORMCC) -o mc512 mc512.c


preload/nc100.card: makecimg optdir-c mc512 $(ZCNDIR)/bin/zcn.bin \
	$(BASE_A) $(ZCNDIR)/utils/blank.txt
	./makecimg <$(ZCNDIR)/bin/zcn.bin >tmp.card
	cpmcp -f zcna_boot tmp.card $(ZCNDIR)/bin/keyb.com 0:k.com
	cpmcp -f zcna_boot tmp.card $(BASE_A) $(NC100_A) 0:
	cpmls -D -f zcna_boot tmp.card |grep Free
	cpmcp -f zcnb tmp.card $(ZCNDIR)/utils/blank.txt 0:
	./optdir-c <tmp.card |./mc512 >preload/nc100.card
